givref_count.h File Reference
Givaro » Memory

Definition of the Counter class, Counter. More...

`#include <stddef.h>`
Include dependency graph for givref_count.h:

## Data Structures

class | RefCounter
| Ref counter. More...

## Namespaces

namespace | Givaro
| Namespace in which the whole Givaro library resides.

## Detailed Description

Definition of the Counter class, Counter.

This class definition objects to handle reference counter for memory allocation (eg array0).